> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# モデルの取得

> モデルオブジェクトを取得します。



## OpenAPI

````yaml /ja/weave/reference/service-api/openapi.json get /v2/{entity}/{project}/models/{object_id}/versions/{digest}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v2/{entity}/{project}/models/{object_id}/versions/{digest}:
    get:
      tags:
        - Models
      summary: モデルの取得
      description: モデルオブジェクトを取得します。
      operationId: >-
        model_read_v2__entity___project__models__object_id__versions__digest__get
      parameters:
        - in: path
          name: entity
          required: true
          schema:
            title: Entity
            type: string
        - in: path
          name: project
          required: true
          schema:
            title: Project
            type: string
        - in: path
          name: object_id
          required: true
          schema:
            title: Object Id
            type: string
        - in: path
          name: digest
          required: true
          schema:
            title: Digest
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelReadRes'
          description: 正常なレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    ModelReadRes:
      properties:
        attributes:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          description: モデルとともに保存される追加属性
          title: Attributes
        created_at:
          description: モデルが作成された日時
          format: date-time
          title: Created At
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: モデルの説明
          title: Description
        digest:
          description: モデルのダイジェスト
          title: Digest
          type: string
        name:
          description: モデルの名
          title: Name
          type: string
        object_id:
          description: モデルID
          title: Object Id
          type: string
        source_code:
          description: モデルのソースコード
          title: Source Code
          type: string
        version_index:
          description: オブジェクトのバージョンインデックス
          title: Version Index
          type: integer
      required:
        - object_id
        - digest
        - version_index
        - created_at
        - name
        - source_code
      title: ModelReadRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````